(function() {
    tinymce.create('tinymce.plugins.Landing', {
        getInfo : function() {
			return {
				longname : 'Landing',
				author : 'CarpeDiem.fr',
				authorurl : 'http://www.carpediem.fr',
				infourl : 'http://statsv3.carpediem.fr',
				version : '2.0'
			};
		},
        init : function(ed, url) {
            paste_as_text: true,
            ed.addButton('Landing', {
                title : 'Add the Landing link',
                image : url.replace('js', 'img') + '/button.png',
                onclick : function() {
                    tinyMCE.activeEditor.insertContent('<a href="[landingUrl]" target="_landing" class="landingButton">Contactez moi</a>', {format : 'raw'});
                }
            });
        },
        createControl : function(n, cm) {
            return null;
        },
    });
    tinymce.PluginManager.add('Landing', tinymce.plugins.Landing);
})();